4Suite™ API Documentation

# ► Module Ft.Server.Client.Commands.Create.Document

This command creates a new XML Document resource in a 4Suite repository. An XML Document resource is used to store XML-based data in the repository. If you are storing non-XML data, see the '4ss create rawfile' command. If necessary, you will be prompted first for credentials and access info to connect to the repository.

Functions: Register, Run |  |  |  | Fields: DefaultFactory, forcedTypeMapping

## Functions

Register()
Run(options, args)

## Fields

DefaultFactory = <Ft.Xml.InputSource.InputSourceFactory instance>
forcedTypeMapping = {'alias': 2, 'container': 1, 'group': 8, 'rdf': 12, 'schematron': 6, 'server': 15, 'user': 7, 'xml': 4, 'xpathdocdef': 9, 'xslt': 5, ...}